Public Attributes | List of all members
dfu_spi_flash_func_t Struct Reference
SYSTEM » Device Firmware Update » Structures

SPI used functions config definition. More...

`#include <gr55xx_dfu.h>`

## Public Attributes
void(* | dfu_spi_flash_init )(uint8_t *p_data)
| The function is used to config flash spi. More...
uint32_t(* | dfu_spi_flash_read )(uint32_t addr, uint8_t *buf, uint32_t size)
| The function is used to read external flash . More...
uint32_t(* | dfu_spi_flash_write )(uint32_t addr, uint8_t *buf, uint32_t size)
| The function is used to write external flash. More...
bool(* | dfu_spi_flash_erase )(uint32_t addr, uint32_t size)
| The function is used to erase external flash by address. More...
bool(* | dfu_spi_flash_erase_chip )(void)
| The function is used to erase exteral flash chip. More...
void(* | dfu_spi_flash_get_info )(uint32_t *id, uint32_t *size)
| The function is used to get external flash id and size. More...

## Detailed Description

SPI used functions config definition.

Definition at line 128 of file gr55xx_dfu.h.

## Member Data Documentation

## ◆ dfu_spi_flash_erase

bool(* dfu_spi_flash_func_t::dfu_spi_flash_erase) (uint32_t addr, uint32_t size)

The function is used to erase external flash by address.

Definition at line 133 of file gr55xx_dfu.h.

## ◆ dfu_spi_flash_erase_chip

bool(* dfu_spi_flash_func_t::dfu_spi_flash_erase_chip) (void)

The function is used to erase exteral flash chip.

Definition at line 134 of file gr55xx_dfu.h.

## ◆ dfu_spi_flash_get_info

void(* dfu_spi_flash_func_t::dfu_spi_flash_get_info) (uint32_t *id, uint32_t *size)

The function is used to get external flash id and size.

Definition at line 135 of file gr55xx_dfu.h.

## ◆ dfu_spi_flash_init

void(* dfu_spi_flash_func_t::dfu_spi_flash_init) (uint8_t *p_data)

The function is used to config flash spi.

Definition at line 130 of file gr55xx_dfu.h.

## ◆ dfu_spi_flash_read

uint32_t(* dfu_spi_flash_func_t::dfu_spi_flash_read) (uint32_t addr, uint8_t *buf, uint32_t size)

The function is used to read external flash .

Definition at line 131 of file gr55xx_dfu.h.

## ◆ dfu_spi_flash_write

uint32_t(* dfu_spi_flash_func_t::dfu_spi_flash_write) (uint32_t addr, uint8_t *buf, uint32_t size)

The function is used to write external flash.

Definition at line 132 of file gr55xx_dfu.h.

The documentation for this struct was generated from the following file:

- gr55xx_dfu.h